export const create = ({ factory }) => (params) => {
    const index = typeof params.index === "string" ? factory.createStringLiteral(params.index) : params.index;
    const node = factory.createElementAccessExpression(params.expression, index);
    return node;
};
export const make = (context) => {
    return {
        create: create(context),
    };
};
//# sourceMappingURL=ElementAccessExpression.js.map