import ts from "typescript";
export interface Params$Create {
    name: string;
    async?: boolean;
    private?: boolean;
    typeParameters?: readonly ts.TypeParameterDeclaration[];
    parameters?: ts.ParameterDeclaration[];
    type?: ts.TypeNode;
    body?: ts.Block;
    comment?: string;
    deprecated?: boolean;
}
export interface Factory {
    create: (params: Params$Create) => ts.MethodDeclaration;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
